%define Werror_cflags %nil

Summary:	Mail Watcher plugin for the Xfce panel
Name:		xfce4-mailwatch-plugin
Version:	1.1.0
Release:	%mkrel 11
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://spuriousinterrupt.org/projects/mailwatch
Source0:	http://spuriousinterrupt.org/files/mailwatch/%{name}-%{version}.tar.bz2
Patch1:		xfce4-mailwatch-plugin-1.1.0-gnutls-fix.patch
# Patch originally from PLD Linux
# https://bugzilla.xfce.org/show_bug.cgi?id=9032
Patch2:		xfce4-mailwatch-plugin-1.1.0-port-to-libxfce4ui.patch
# Patch originally from Fedora
Patch3:		xfce4-mailwatch-plugin-1.1.0-mbox-refresh-interval.patch
Patch4:		xfce4-mailwatch-plugin-1.1.0-fix-linking.patch
Patch5:		xfce4-mailwatch-plugin-1.1.0-automake1.13.patch
BuildRequires:	xfce4-dev-tools
BuildRequires:	libgcrypt-devel
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxfce4util-1.0)
BuildRequires:	pkgconfig(libxfce4ui-1)
BuildRequires:	pkgconfig(libxfce4panel-1.0)
BuildRequires:	pkgconfig(gnutls)
Requires:	xfce4-panel >= 4.8.0

%description
Mailwatch is a mail watcher plugin for the Xfce 4 panel.

%prep
%setup -q
%apply_patches

%build
# Use xdt-autogen for patch0, as just autoreconf wouldn't work as expected with XFCE4
NOCONFIGURE=1 xdt-autogen

%configure2_5x \
	--disable-static \
	--enable-ssl
%make

%install
%makeinstall_std

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README
%{_libexecdir}/xfce4/panel-plugins/%{name}
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/scalable/apps/*.svg
%{_datadir}/xfce4/doc/C/*.html
%{_datadir}/xfce4/doc/C/images/*.png


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.1.0-11.mga3
+ Revision: 386834
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 wally <wally> 1.1.0-10.mga3
+ Revision: 338184
- add patch to fix build with automake 1.13
- fix build after %%_libexecdir change

* Sun Jun 17 2012 wally <wally> 1.1.0-9.mga3
+ Revision: 261115
- port to libxfce4ui (patch from PLD Linux)
- add mbox interval patch from Fedora
- rediff linking patch to work with libxfce4ui patch
- clean .spec a bit

* Thu May 31 2012 fwang <fwang> 1.1.0-8.mga3
+ Revision: 251980
- br xfce4-dev-tools
- rebuild for new xfutil

* Tue Jan 03 2012 wally <wally> 1.1.0-7.mga2
+ Revision: 190134
- add patch to fix build with new gnutls
- rebuild for new xfce4-panel

  + fwang <fwang>
    - link against gcrypt
    - rebuild for new gnutls

* Fri Jun 24 2011 ahmad <ahmad> 1.1.0-5.mga2
+ Revision: 113304
- Add a patch to fix linking
- Drop old/unneeded scriptlets
- imported package xfce4-mailwatch-plugin

